## nvi 1.79

=== catalog/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-#	@(#)Makefile	8.27 (Berkeley) 8/21/96
+#	@(#)Makefile	8.29 (Berkeley) 10/19/96
 
-CAT=	dutch english french german ru_SU.KOI8-R swedish
+CAT=	dutch english french german ru_SU.KOI8-R spanish swedish
 FILES=	../cl/*.c ../common/*.c ../ex/*.c ../tk/*.c ../vi/*.c
 
 all: dump ${CAT}
@@ -33,8 +33,8 @@
 		grep 'NOT LEGAL' $@;					\
 	fi
 
-CHK=	dutch.check english.check german.check ru_SU.KOI8-R.check \
-	swedish.check
+CHK=	dutch.check english.check french.check german.check \
+	ru_SU.KOI8-R.check spanish.check swedish.check
 check: ${CHK}
 ${CHK}: ${CAT}
 	@echo "... $@";							\
