## nvi 1.81.6

=== catalog/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-#	@(#)Makefile	8.29 (Berkeley) 10/19/96
+#	$Id: Makefile,v 8.30 1996/11/27 11:59:09 bostic Exp $ (Berkeley) $Date: 1996/11/27 11:59:09 $
 
 CAT=	dutch english french german ru_SU.KOI8-R spanish swedish
-FILES=	../cl/*.c ../common/*.c ../ex/*.c ../tk/*.c ../vi/*.c
+FILES=	../cl/*.c ../common/*.c ../ex/*.c ../vi/*.c
 
 all: dump ${CAT}
