=== debian/changelog ===
nvi (1.81.6-16) unstable; urgency=medium

  * QA upload.

  [ Boyuan Yang ]
  * debian/control: Clean-up build-dependency on transitional
    packages.
  * debian/patches/32: Add patch to fix ETXTBSY when executing
    nvi-opened files. (Closes: #891174, #497342)
  * debian/copyright: Fix DEP5 format.
  * debian/control: Add missing ${misc:Pre-Depends} placeholder.

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * Wrap long lines in changelog entries: 1.79-20, 1.79-16.
  * Move source package lintian overrides to debian/source.
  * Bump debhelper from old 9 to 12.
    + Set debhelper-compat version in Build-Depends.
    - Drop old dh-systemd build-dependency. (Closes: #958595)
  * Set upstream metadata fields: Repository.
  * Rely on pre-initialized dpkg-architecture variables.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Apr 2020 18:54:55 -0400

nvi (1.81.6-15) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Add Vcs-Git and Vcs-Browser fields and use git repo under
      Salsa Debian group.
    + Mark nvi-doc as Multi-Arch: foreign.
    + Use a more recent project homepage for Homepage field.
      (Closes: #749334)
  * Remove trailing spaces in debian/control and debian/changelog.

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Dec 2018 16:25:49 -0500

nvi (1.81.6-14) unstable; urgency=medium

  * QA upload.
  * Explicit pass vi_cv_path_shell=/bin/sh to configure to make build
    reproducible between merged-usr and non-merged-usr systems.
    (Closes: #915170)

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 01 Dec 2018 16:20:05 +0100

nvi (1.81.6-13) unstable; urgency=medium

  * QA upload.
  * Build with all hardening options.
  * CVE-2015-2305: Apply heap overflow patch from Dragonfly BSD (closes:
    #778412).
  * Fix cross-build failure: pass --build and --host to configure (thanks,
    Helmut Grohne; closes: #794030).

 -- Colin Watson <cjwatson@debian.org>  Sat, 31 Dec 2016 04:10:57 +0000

nvi (1.81.6-12) unstable; urgency=medium

  * QA upload
  * Add systemd job (Closes: #796635)
  * Make recover script complete enough for use in init process
    - Rename init script from nviboot to nvi, move out of runlevel S
  * Cleanup

 -- Bryan Quigley <bryan.quigley@canonical.com>  Thu, 17 Sep 2015 11:12:47 -0400

nvi (1.81.6-11) unstable; urgency=medium

  * QA upload.
  * Pass "-s /bin/sh" to "su nobody" to cope with the change of nobody's
    shell in base-passwd 3.5.30.

 -- Colin Watson <cjwatson@debian.org>  Thu, 09 Jan 2014 14:03:57 +0000

nvi (1.81.6-10) unstable; urgency=low

  * QA upload.
  * Fix binary-arch builds

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 25 May 2013 08:32:31 +0200

nvi (1.81.6-9) unstable; urgency=low

  * QA upload.
  * Change maintainer to QA group
  * debian/ cleanup:
    + bump debhelper compat to 9
    + use dpkg-buildflags
    + use dh (as far as possible)
    + convert from dpatch to 3.0 (quilt) with patch from
      Jari Aalto. (Closes: #664360)

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 25 May 2013 00:07:03 +0200

nvi (1.81.6-8.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on libdb-dev (Closes: #621381)
  * Bumped Standards-Version to 3.9.2
    - Included full license texts in debian/copyright instead of refering
      to /usr/share/common-licenses/BSD (which is due to be removed from
      common-licenses)
  * Added a dependency on ${misc:Depends} to each binary to fix the lintian
    warning debhelper-but-no-misc-depends.
  * Added a README.source (based on dpatch's standard README.source) to
    fix the lintian warning patch-system-but-no-source-readme.

 -- Axel Beckert <abe@debian.org>  Sat, 14 May 2011 19:31:12 +0200

nvi (1.81.6-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libdb4.7-dev (Closes: #555933)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 28 Jan 2010 23:53:10 +0100

nvi (1.81.6-8) unstable; urgency=low

  * Fix generation of backup file names. Closes: #534732.
  * Bump Standards version to 3.8.2 (no changes).
  * Minor adjustments to make lintian's pedantic mode happier:
    * Remove redundant lines from d/control.
    * Add some patch descriptions.
    * Adjust packaging copyright year list.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Fri, 24 Jul 2009 12:14:15 +0200

nvi (1.81.6-7) unstable; urgency=low

  * Replace README.debian (which was until now duplicating copyright
    information) with a note regarding nvi's UTF support.
    Closes: #386590.
  * Fix regular expressions to be 8-bit clean again. Closes: #523934.
  * Bump standards version to 3.8.1 (no changes).

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Fri, 05 Jun 2009 02:18:13 +0200

nvi (1.81.6-6) unstable; urgency=low

  * Fix {^A}. Thanks to Al Viro for his thorough analysis and immediate
    patch suggestion. Closes: #518397.
  * Fix pagesize argument passed to db__set_pagesize().
  * Allow editing of 8-bit files even if LC_CTYPE is set to C.
    Closes: #496305.
  * Uncomment stable branch in watch file because DEHS will just report
    the version taken from the first line.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 08 Mar 2009 01:23:16 +0100

nvi (1.81.6-5) unstable; urgency=low

  * nvi no longer requires a specific libdb4 revision.
    To this end revive 03db4.dpatch and make a few adjustments.
    Closes: #490361. Stay at low urgency despite RC - I want
    proper testing for this widechar mess.
  * Start new patch 13widechar_horrors.dpatch and begin to fix
    all the places the widechar support hasn't reached yet or
    which have simply been overlooked.
    * Fix number increment/decrement bug (that's one of those).
      Closes: #497349.
  * Lintian cleanups:
    * Switch to dh_prep.
    * Have package scripts call 'set -e'.
    * Add new lintian override regarding the (unused) dist/ltconfig.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 01 Mar 2009 15:40:59 +0100


