=== debian/watch ===
version=3
#ftp://ftp.bostic.com/pub/nvi-([0-9.]*)\.tar\.gz
http://www.kotnet.org/~skimo/nvi/devel/nvi-([0-9.]*).tar.gz
